{
  "type" : "record",
  "name" : "DurationOfLabour",
  "namespace" : "org.gel.models.participant.avro",
  "doc" : "Model that captures approximate duration of labour duration (this is the onset of regular contractions until delivery of placenta).",
  "fields" : [ {
    "name" : "firstStageHourDuration",
    "type" : [ "null", "float" ],
    "doc" : "First stage (from 3cm and regular contractions) in hours."
  }, {
    "name" : "secondStageHourDuration",
    "type" : [ "null", "float" ],
    "doc" : "Second stage (pushing) in hours."
  }, {
    "name" : "thirdStageMinuteDuration",
    "type" : [ "null", "int" ],
    "doc" : "Third stage (delivery of placenta) in minutes."
  }, {
    "name" : "dateAndTimeOfLabourOnset",
    "type" : [ "null", "string" ],
    "doc" : "Date and time of labour onset.\n        String in ISO 8601 format with timezone and no microsecond.\n        format: %Y-%m-%dT%H:%M:%S+00:00\n        e.g.: 2020-03-20T14:31:43+01:00"
  } ]
}
